from django.contrib import admin
from home.models import *

# Register your models here.
@admin.register(Articles)
class DepartmentAdmin(admin.ModelAdmin):

    # 要显示的字段
    list_display = ('title', 'abstract', 'created','stat')
    search_fields = ('title','abstract',)
    exclude = ('content',)
    # 不可编辑字段
    readonly_fields = ('stat','read')
    # 分页显示，一页的数量
    list_per_page = 10

    actions_on_top = True

@admin.register(ArticlesLike)
class ArticlesLikeAdmin(admin.ModelAdmin):
    list_display = ('articles_id', 'uuid')
    readonly_fields = ('articles_id', 'uuid')
    # 分页显示，一页的数量
    list_per_page = 10

    actions_on_top = True

@admin.register(ArticleTag)
class ArticleTagAdmin(admin.ModelAdmin):
    list_display = ('id', 'tag')