from django.contrib import admin
from django.core.exceptions import ObjectDoesNotExist

from siteconfig.models import *
# Register your models here.

@admin.register(SiteConfig)
class SiteConfigAdmin(admin.ModelAdmin):
    list_display = ["site_name","site_author_name","site_author_qq","site_author_email","site_describe","site_keyword","icp"]
    def save_model(self, request, obj, form, change):
        # 检查是否已存在数据
        try:
            existing_obj = SiteConfig.objects.get()
            # 如果存在，更新现有对象
            existing_obj.__dict__.update(obj.__dict__)
            existing_obj.save()
            # 删除新创建的对象（因为我们已经更新了现有对象）
            # obj.delete()
        except ObjectDoesNotExist:
            # 如果不存在，创建新对象
            super().save_model(request, obj, form, change)

@admin.register(FriendshipLink)
class FriendshipLinkAdmin(admin.ModelAdmin):
    list_display = ["friendship_site_link","friendship_site_name"]