from django.db import models

# Create your models here.
class SiteConfig(models.Model):
    site_name = models.CharField(max_length=255,verbose_name='网站名称')
    site_author_name = models.CharField(max_length=255,verbose_name='站长昵称')
    site_author_qq = models.CharField(default=0,max_length=255,verbose_name='站长qq')
    site_author_email = models.CharField(default=0, max_length=255, verbose_name='站点长邮箱')
    site_describe = models.CharField(max_length=255,verbose_name='站点描述')
    site_keyword = models.CharField(max_length=255,verbose_name='站点关键字')
    icp = models.CharField(default="",max_length=255,verbose_name='ICP备案号')


    class Meta:
        verbose_name = "设置"
        verbose_name_plural = "站点设置"
        db_table = "SiteConfig"

    def __str__(self):
        return "站点设置"

class FriendshipLink(models.Model):
    friendship_site_link = models.CharField(max_length=255,verbose_name='友链地址')
    friendship_site_name = models.CharField(max_length=255,verbose_name='友链名称')
    class Meta:
        verbose_name = "设置"
        verbose_name_plural = "友链管理"
        db_table = "FriendshipLink"
